package com.yihaomen.springboot;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.Banner;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.yihaomen.springboot.service.MyCommandService;

@SpringBootApplication
public class Application implements CommandLineRunner {

	@Autowired
    private MyCommandService commandService;

    public static void main(String[] args) throws Exception {

        //不想看见 spring的logo
        SpringApplication app = new SpringApplication(Application.class);
        app.setBannerMode(Banner.Mode.OFF);
        app.run(args);
    }

    @Override
    public void run(String... args) throws Exception {

        if (args.length > 0 ) {
            System.out.println(commandService.getMessage(args[0].toString()));
        }else{
            System.out.println(commandService.getMessage());
        }

        System.exit(0);
    }

}